IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Macros | Functions
Functions: examine specific state information
Flags structure » States

## Detailed Description

## Macros
#define | FF_ANYNAME (FF_LABL|FF_NAME)

## Functions
bool idaapi | isFlow (flags_t F)
| Does the previous instruction exist and pass execution flow to the current byte?
bool idaapi | isVar (flags_t F)
| Is the current byte marked as variable?. More...
bool idaapi | hasExtra (flags_t F)
| Does the current byte have additional anterior or posterior lines?
bool idaapi | has_cmt (flags_t F)
| Does the current byte have an indented comment?
bool idaapi | hasRef (flags_t F)
| Does the current byte have cross-references to it?
bool idaapi | f_hasRef (flags_t f, void *)
| Does the current byte have cross-references to it? More...
bool idaapi | has_name (flags_t F)
| Does the current byte have non-trivial (non-dummy) name?
bool idaapi | f_has_name (flags_t f, void *)
| Does the current byte have non-trivial (non-dummy) name? More...
bool idaapi | has_dummy_name (flags_t F)
| Does the current byte have dummy (auto-generated, with special prefix) name?
bool idaapi | f_has_dummy_name (flags_t f, void *)
| Does the current byte have dummy (auto-generated, with special prefix) name? More...
bool idaapi | has_auto_name (flags_t F)
| Does the current byte have auto-generated (no special prefix) name?
bool idaapi | has_any_name (flags_t F)
| Does the current byte have any name?
bool idaapi | has_user_name (flags_t F)
| Does the current byte have user-specified name?
bool idaapi | f_has_user_name (flags_t F, void *)
| Does the current byte have user-specified name? More...
idaman bool ida_export | is_invsign (ea_t ea, flags_t F, int n)
| Should sign of n-th operand inverted during output?. More...
idaman bool ida_export | toggle_sign (ea_t ea, int n)
| Toggle sign of n-th operand. More...
idaman bool ida_export | is_bnot (ea_t ea, flags_t F, int n)
| Should we negate the operand?. More...
idaman bool ida_export | toggle_bnot (ea_t ea, int n)
| Toggle binary negation of operand. also see is_bnot()
idaman bool ida_export | is_lzero (ea_t ea, int n)
| Display leading zeroes in operands. More...
idaman bool ida_export | set_lzero (ea_t ea, int n)
| Set toggle lzero bit.
idaman bool ida_export | clr_lzero (ea_t ea, int n)
| Clear lzero bit.
bool idaapi | toggle_lzero (ea_t ea, int n)

## Function Documentation

bool idaapi isVar | ( | flags_t | F | ) |
| inline

Is the current byte marked as variable?.

(this is not used by IDA itself and may become obsolete, please don't use it)

bool idaapi f_hasRef | ( | flags_t | f,
|  | void * |
| ) |  |
| inline

Does the current byte have cross-references to it?

bool idaapi f_has_name | ( | flags_t | f,
|  | void * |
| ) |  |
| inline

Does the current byte have non-trivial (non-dummy) name?

bool idaapi f_has_dummy_name | ( | flags_t | f,
|  | void * |
| ) |  |
| inline

Does the current byte have dummy (auto-generated, with special prefix) name?

bool idaapi f_has_user_name | ( | flags_t | F,
|  | void * |
| ) |  |
| inline

Does the current byte have user-specified name?

idaman bool ida_export is_invsign | ( | ea_t | ea,
|  | flags_t | F,
|  | int | n
| ) |  |

Should sign of n-th operand inverted during output?.

allowed values of n: 0-first operand, 1-other operands

idaman bool ida_export toggle_sign | ( | ea_t | ea,
|  | int | n
| ) |  |

Toggle sign of n-th operand.

allowed values of n: 0-first operand, 1-other operands

idaman bool ida_export is_bnot | ( | ea_t | ea,
|  | flags_t | F,
|  | int | n
| ) |  |

Should we negate the operand?.

asm_t::a_bnot should be defined in the idp module in order to work with this function

idaman bool ida_export is_lzero | ( | ea_t | ea,
|  | int | n
| ) |  |

Display leading zeroes in operands.

The global switch for the leading zeroes is in idainfo::s_genflags The leading zeroes doesn't work if the octal numbers start with 0 Display leading zeroes? (takes into account idainfo::s_genflags)

bool idaapi toggle_lzero | ( | ea_t | ea,
|  | int | n
| ) |  |
| inline

Parameters

  n | Toggle lzero bit